package com.unis.module.core.enums.project;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @program: delivery-depot-admin
 * @author: duhuajie
 * @create: 2025-02-11
 * @description: 备选状态:
 * 1. 未选择:0:省未选择
 * 2. 未核验:1:省已选择
 * 3. 备选:省核验通过
 * 4. 被认定:银行核验通过
 * 5. 被选定:贷款人选定
 * 6. 核验不通过:
 */
@Getter
@AllArgsConstructor
public enum DeliveryBxzt {

    UNSELECTED(0,"未选择"),
    UNVERIFIED(1,"未核验"),
    CHOICE(2,"备选"),
    RECOGNIZED(3,"被认定"),
    SELECTED(4,"被选定"),
    UNVERIFIED_FAIL(5,"省核验不通过"),
    BANK_UNVERIFIED_FAIL(6,"银行核验不通过"),

    ;
    /**
     * 字典编码
     */
    private final Integer code;
    /**
     * 字典描述
     */
    private final String name;
}
